FastaDescriptionLineParser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.FastaDescriptionLineParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class FastaDescriptionLineParser

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderFilter
          org.biojava.bio.seq.io.FastaDescriptionLineParser

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder

Deprecated. Use org.biojavax.bio.seq.io.FastaFormat

    public class FastaDescriptionLineParser

extends SequenceBuilderFilter

Simple filter which performs a default extraction of data from the description lines of FASTA files. Behaviour is similar to DefaultDescriptionReader in the old I/O framework.

Since:
  1.1
Author:
  Thomas Down

Nested Class Summary
`static class` | `FastaDescriptionLineParser.Factory` Deprecated. Factory which wraps SequenceBuilders in a FastaDescriptionLineParser

Constructor Summary
`FastaDescriptionLineParser(SequenceBuilder delegate)` Deprecated.

Method Summary
`void` | `addSequenceProperty(Object key, Object value)` Deprecated. Notify the listener of a sequence-wide property.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderFilter
`addFeatureProperty, addSymbols, endFeature, endSequence, getDelegate, makeSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastaDescriptionLineParser

    public FastaDescriptionLineParser(SequenceBuilder delegate)

  Deprecated.

Method Detail

### addSequenceProperty

    public void addSequenceProperty(Object key,
                                    Object value)
                             throws ParseException

  Deprecated.
  Description copied from interface: `SeqIOListener`
  Notify the listener of a sequence-wide property. This might be stored as an entry in the sequence's annotation bundle.

  Specified by:
    `addSequenceProperty` in interface `SeqIOListener`
  Overrides:
    `addSequenceProperty` in class `SequenceBuilderFilter`
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD